<?php

namespace App\Events;

use Illuminate\Broadcasting\Channel;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Queue\SerializesModels;

class FileUploadProgress implements ShouldBroadcast
{
    use Dispatchable, InteractsWithSockets, SerializesModels;

    public $userId;
    public $fileIndex;
    public $percent;
    public $path;

    public function __construct($userId, $fileIndex, $percent, $path)
    {
        $this->userId = $userId;
        $this->fileIndex = $fileIndex;
        $this->percent = $percent;
        $this->path = $path;
    }

    public function broadcastOn(): Channel
    {
        return new Channel("uploads.{$this->userId}");
    }

    public function broadcastWith(): array
    {
        return [
            'userId'    => $this->userId,
            'fileIndex' => $this->fileIndex,
            'percent'   => $this->percent,
            'path'      => $this->path,
        ];
    }

}
