<?php

namespace App;

use Illuminate\Support\Facades\Storage;
use PhpOffice\PhpSpreadsheet\IOFactory;

class Helper
{

    public static function transformRow(array $row): array
    {
        return [
            'cell_number'      => $row[0],
            'business_name'    => $row[1],
            'first_name'       => $row[2],
            'last_name'        => $row[3],
            'email'            => $row[4],
            'website'          => $row[5],
            'city'             => $row[6],
            'state'            => $row[7],
            'business_address' => $row[8],
            'pin_code'         => $row[9],
            'created_at'       => now(),
            'updated_at'       => now(),
        ];
    }

    public static function getExcelRows($path): array
    {
        //$storagePath = public_path($path);
        $reader = IOFactory::createReaderForFile($path);
        $reader->setReadDataOnly(true);
        $spreadsheet = $reader->load($path);
        $worksheet = $spreadsheet->getActiveSheet();
        return $worksheet->toArray();
    }

    public static function isValidRow(array $row): bool
    {
        // Add your validation logic
        return !empty($row[0]) && !empty($row[1]) && !empty($row[2]) && !empty($row[3]) && !empty($row[4]) && !empty($row[5]) && !empty($row[6]) && !empty($row[7]) && !empty($row[8]) && !empty($row[9]);
    }
}
