<?php

namespace App\Http\Controllers;

use App\Models\Dataset;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Cache;

class DatasetController extends Controller
{
    public function index(Request $request)
    {
        $page = $request->query('page', 1);
        $perPage = $request->query('per_page', 10);

        return Cache::remember("datasets.page.$page.per_page.$perPage", 60, function () use ($perPage) {
            return Dataset::paginate($perPage);
        });
    }

    public function show(Dataset $dataset)
    {
        return response()->json($dataset);
    }
}
