<?php

namespace App\Http\Controllers;

use App\Http\Requests\SubscriptionMigrationRequest;
use App\Jobs\SubscriptionMigrationJob;
use App\Models\Plan;
use App\Models\Subscription;
use App\Payment\PaymentGateway;
use App\Services\ProrationService;
use Illuminate\Http\Request;

class SubscriptionMigrationController extends Controller
{
    public function __invoke(SubscriptionMigrationRequest $request, Subscription $subscription)
    {
        $newPlan = Plan::findOrFail($request->input('new_plan_id'));

        dispatch(new SubscriptionMigrationJob($subscription->id, $newPlan, app()->make(ProrationService::class), app()->make(PaymentGateway::class)));

        return response()->json([
            'message'     => 'Migration process started',
            'tracking_id' => $subscription->id
        ], 202);
    }
}
