<?php

namespace App\Http\Requests\Admin;

use App\Models\Subscription;
use Illuminate\Foundation\Http\FormRequest;

class SubscriptionIndexRequest extends FormRequest
{
    public function authorize(): bool
    {
        //return $this->user()->can('viewAny', Subscription::class);
        return true;
    }

    public function rules(): array
    {
        return [
            'user_id'          => 'sometimes|exists:users,id',
            'plan_id'          => 'sometimes|exists:plans,id',
            'status'           => 'sometimes|in:active,expired',
            'migration_status' => 'sometimes|in:pending,completed,failed',
            'search'           => 'sometimes|string|max:255',
            'sort_by'          => 'sometimes|in:created_at,current_period_ends_at,price',
            'sort_dir'         => 'sometimes|in:asc,desc',
            'per_page'         => 'sometimes|integer|min:1|max:100'
        ];
    }
}
