<?php

namespace App\Http\Requests;

use App\Models\Plan;
use Illuminate\Foundation\Http\FormRequest;

class PlanIndexRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     */

    public function authorize(): bool
    {
        return $this->user()->can('viewAny', Plan::class);
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array<string, \Illuminate\Contracts\Validation\ValidationRule|array<mixed>|string>
     */
    public function rules(): array
    {
        return [
            'search'        => 'sometimes|string|max:255',
            'status'        => 'sometimes|in:active,inactive',
            'price_range'   => 'sometimes|array|size:2',
            'price_range.*' => 'numeric|min:0',
            'sort_by'       => 'sometimes|in:name,price,created_at,updated_at',
            'sort_dir'      => 'sometimes|in:asc,desc',
            'per_page'      => 'sometimes|integer|min:1|max:100'
        ];
    }
}
