<?php

namespace App\Http\Resources\Admin;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

/**
 * @property mixed $current_period_starts_at
 * @property mixed $current_period_ends_at
 * @property mixed $prorated_amount
 */
class SubscriptionResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray($request): array
    {
        return [
            'id'               => $this->id,
            'user'             => [
                'id'    => $this->user->id,
                'name'  => $this->user->name,
                'email' => $this->user->email
            ],
            'plan'             => [
                'id'    => $this->plan->id,
                'name'  => $this->plan->name,
                'price' => $this->plan->price
            ],
            'status'           => $this->status,
            'current_period'   => [
                'start' => $this->current_period_starts_at->toISOString(),
                'end'   => $this->current_period_ends_at->toISOString()
            ],
            'financials'       => [
                'amount_paid'    => $this->prorated_amount,
                'credit_balance' => $this->credit_balance,
                'currency'       => $this->currency
            ],
            'migration_status' => $this->migration_status,
            'created_at'       => $this->created_at->toISOString(),
            'links'            => [
                'user' => route('admin.users.show', $this->user),
                'plan' => route('admin.plans.show', $this->plan)
            ]
        ];
    }
}
