<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class PlanResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray($request): array
    {
        return [
            'id'            => $this->id,
            'name'          => $this->name,
            'price'         => $this->price,
            'currency'      => $this->currency,
            'billing_cycle' => $this->billing_cycle_days . ' days',
            'status'        => $this->is_active ? 'active' : 'inactive',
            'subscriptions' => [
                'total'   => $this->subscriptions_count,
                'active'  => $this->active_subscriptions_count,
                'expired' => $this->expired_subscriptions_count,
            ],
            'created_at'    => $this->created_at->toISOString(),
            'updated_at'    => $this->updated_at->toISOString(),
            'links'         => [
                'edit'        => route('admin.plan.edit', $this),
                'subscribers' => route('admin.subscription.list', ['plan' => $this->id])
            ]
        ];
    }
}
