<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;
use App\Models\Subscription;
use App\Models\User;

class PurchaseSuccessEmail extends Mailable
{
    use Queueable, SerializesModels;

    public $user;
    public $subscription;

    public function __construct(User $user, Subscription $subscription)
    {
        $this->user = $user;
        $this->subscription = $subscription;
    }

    public function build(): PurchaseSuccessEmail
    {
        return $this->subject('Purchase Successful!')->view('emails.purchase-success');
    }
}
