<?php

namespace App\Services;

use App\Models\Plan;
use Carbon\Carbon;

class ProrationService
{
    public function calculate(Plan $oldPlan, Plan $newPlan, Carbon $effectiveDate): float
    {
        $remainingDays = $effectiveDate->diffInDays($oldPlan->current_period_ends_at, false);
        if ($remainingDays <= 0) return 0;
        $dailyOldRate = $oldPlan->price / $oldPlan->billing_cycle_days;
        $dailyNewRate = $newPlan->price / $newPlan->billing_cycle_days;
        $proratedAmount = ($dailyNewRate - $dailyOldRate) * $remainingDays;

        return max($proratedAmount, 0);
    }

}
