import { mergeModels, useModel, mergeProps, useSSRContext } from "vue";
import { ssrRenderAttrs, ssrRenderAttr, ssrRenderClass, ssrInterpolate, ssrIncludeBooleanAttr, ssrLooseContain } from "vue/server-renderer";
const _sfc_main = {
  __name: "Checkbox",
  __ssrInlineRender: true,
  props: /* @__PURE__ */ mergeModels(["label", "value", "forId"], {
    "modelValue": {
      required: true
    },
    "modelModifiers": {}
  }),
  emits: ["update:modelValue"],
  setup(__props) {
    const model = useModel(__props, "modelValue");
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<label${ssrRenderAttrs(mergeProps({
        for: __props.forId,
        class: "flex cursor-pointer items-center text-sm font-medium text-gray-700 select-none dark:text-gray-400"
      }, _attrs))}><div class="relative"><input type="checkbox"${ssrRenderAttr("id", __props.forId)} class="sr-only"${ssrIncludeBooleanAttr(Array.isArray(model.value) ? ssrLooseContain(model.value, __props.value) : model.value) ? " checked" : ""}${ssrRenderAttr("value", __props.value)}><div class="${ssrRenderClass([model.value ? "border-brand-500 bg-brand-500" : "bg-gray-50 dark:bg-gray-800 border-gray-300 dark:border-gray-600", "hover:border-brand-500 dark:hover:border-brand-500 mr-3 flex h-5 w-5 items-center justify-center rounded-md border-[1.25px]"])}"><span class="${ssrRenderClass(model.value ? "" : "opacity-0")}"><svg width="14" height="14" viewBox="0 0 14 14" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M11.6666 3.5L5.24992 9.91667L2.33325 7" stroke="white" stroke-width="1.94437" stroke-linecap="round" stroke-linejoin="round"></path></svg></span></div></div> ${ssrInterpolate(__props.label)}</label>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Components/Ui/Inputs/Checkbox.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as _
};
