import { ref, watch, mergeProps, withCtx, unref, createVNode, createBlock, createCommentVNode, withDirectives, vModelText, openBlock, Fragment, renderList, toDisplayString, useSSRContext } from "vue";
import { ssrRenderComponent, ssrRenderAttr, ssrRenderList, ssrRenderClass, ssrInterpolate } from "vue/server-renderer";
import { IconSearch } from "@tabler/icons-vue";
import { _ as _sfc_main$1 } from "./AppLayout-CqYed3C-.js";
import { usePage, router } from "@inertiajs/vue3";
import { _ as _sfc_main$3 } from "./Paginator-Ld42JZuH.js";
import { debounce } from "lodash/function.js";
import { _ as _sfc_main$2 } from "./TableActionMenu-5HE-QJji.js";
import "./_plugin-vue_export-helper-1tPrXgE0.js";
const _sfc_main = {
  __name: "List",
  __ssrInlineRender: true,
  setup(__props) {
    const search = ref("");
    const page = usePage().props;
    ref({
      name: true,
      price: true,
      currency: true,
      billing_cycle_days: true,
      billing_cycle_type: false,
      product_line: true,
      is_active: false,
      active_subscriptions_count: false,
      expired_subscriptions_count: false
    });
    watch(search, debounce((newStr) => {
      router.get(route(route().current()), { q: newStr }, { preserveState: true, replace: true });
    }, 300));
    const getSerialNumber = (index) => (page.plans.current_page - 1) * page.plans.per_page + index + 1;
    return (_ctx, _push, _parent, _attrs) => {
      _push(ssrRenderComponent(_sfc_main$1, mergeProps({ title: "Plans List" }, _attrs), {
        header: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<h2 class="font-semibold text-xl text-gray-800 leading-tight"${_scopeId}>Plans</h2>`);
          } else {
            return [
              createVNode("h2", { class: "font-semibold text-xl text-gray-800 leading-tight" }, "Plans")
            ];
          }
        }),
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="py-12"${_scopeId}><div class="max-w-7xl mx-auto sm:px-6 lg:px-8"${_scopeId}><div class="pb-4 w-full flex justify-between items-center"${_scopeId}><p class="text-gray-700 text-lg font-semibold"${_scopeId}>List</p><div class="relative"${_scopeId}><div class="absolute flex items-center justify-center h-full px-2 text-gray-500 bg-gray-100 rounded-md"${_scopeId}>`);
            _push2(ssrRenderComponent(unref(IconSearch), {
              size: "20",
              color: "currentColor"
            }, null, _parent2, _scopeId));
            _push2(`</div><input${ssrRenderAttr("value", search.value)} class="bg-white pl-10 text-sm w-52 shadow outline-none border-none focus:border-none focus:ring-1 focus:ring-gray-300 rounded-md" placeholder="Search..."${_scopeId}></div></div><div class="rounded-md shadow-sm h-full"${_scopeId}><table class="w-full capitalize"${_scopeId}><thead class="bg-white border-b-2 border-gray-100"${_scopeId}><tr${_scopeId}><th class="w-16 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left"${_scopeId}>Sl</th><th class="w-28 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left"${_scopeId}>Name</th><th class="w-20 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left"${_scopeId}>Price</th><th class="w-36 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left"${_scopeId}>Billing Days</th><th class="w-36 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left"${_scopeId}>Billing Type</th><th class="w-28 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left"${_scopeId}>Product</th><th class="w-24 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left"${_scopeId}>Is Active</th><th class="w-56 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left"${_scopeId}>Active Subscriptions</th><th class="w-56 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left"${_scopeId}>Expired Subscriptions</th><th class="w-16 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left"${_scopeId}>Actions</th></tr></thead><tbody${_scopeId}><!--[-->`);
            ssrRenderList(_ctx.$page.props.plans.data, (plan, index) => {
              _push2(`<tr class="${ssrRenderClass([index % 2 === 1 ? "bg-white" : "bg-gray-50", "group"])}"${_scopeId}><td class="p-3 text-sm text-gray-700 group-hover:text-blue-500 group-hover:underline font-bold"${_scopeId}>${ssrInterpolate(getSerialNumber(index))}</td><td class="p-3 text-sm text-gray-700 whitespace-nowrap"${_scopeId}>${ssrInterpolate(plan.name)}</td><td class="p-3 text-sm text-gray-700"${_scopeId}>${ssrInterpolate(plan.price)} ${ssrInterpolate(plan.currency)}</td><td class="p-3 text-sm text-gray-700"${_scopeId}>${ssrInterpolate(plan.billing_cycle_days)}</td><td class="p-3 text-sm text-gray-700"${_scopeId}>${ssrInterpolate(plan.billing_cycle_type)}</td><td class="p-3 text-sm text-gray-700"${_scopeId}>${ssrInterpolate(plan.product_line)}</td><td class="p-3 text-sm font-medium"${_scopeId}><span class="${ssrRenderClass(`px-3 py-1.5 ${plan.is_active ? "bg-indigo-100 text-indigo-800" : "text-yellow-800 bg-yellow-100"} rounded-md`)}"${_scopeId}>${ssrInterpolate(plan.is_active ? "Active" : "Inactive")}</span></td><td class="p-3 text-sm text-gray-700"${_scopeId}>${ssrInterpolate(plan.active_subscriptions_count)}</td><td class="p-3 text-sm text-gray-700"${_scopeId}>${ssrInterpolate(plan.expired_subscriptions_count)}</td><td class="p-3 text-sm text-gray-700"${_scopeId}>`);
              _push2(ssrRenderComponent(_sfc_main$2, null, null, _parent2, _scopeId));
              _push2(`</td></tr>`);
            });
            _push2(`<!--]-->`);
            if (search.value && !_ctx.$page.props.plans.data.length) {
              _push2(`<tr class="${ssrRenderClass([_ctx.index % 2 === 1 ? "bg-white" : "bg-gray-50", "group"])}"${_scopeId}><td class="p-3 text-sm text-gray-700 text-center" colspan="10"${_scopeId}>Not found plans by this \`${ssrInterpolate(search.value)}\`</td></tr>`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`</tbody></table></div>`);
            if (_ctx.$page.props.plans.data.length) {
              _push2(ssrRenderComponent(_sfc_main$3, {
                from: _ctx.$page.props.plans.from,
                to: _ctx.$page.props.plans.to,
                total: _ctx.$page.props.plans.total,
                links: _ctx.$page.props.plans.links,
                class: "mt-6"
              }, null, _parent2, _scopeId));
            } else {
              _push2(`<!---->`);
            }
            _push2(`</div></div>`);
          } else {
            return [
              createVNode("div", { class: "py-12" }, [
                createVNode("div", { class: "max-w-7xl mx-auto sm:px-6 lg:px-8" }, [
                  createVNode("div", { class: "pb-4 w-full flex justify-between items-center" }, [
                    createVNode("p", { class: "text-gray-700 text-lg font-semibold" }, "List"),
                    createVNode("div", { class: "relative" }, [
                      createVNode("div", { class: "absolute flex items-center justify-center h-full px-2 text-gray-500 bg-gray-100 rounded-md" }, [
                        createVNode(unref(IconSearch), {
                          size: "20",
                          color: "currentColor"
                        })
                      ]),
                      withDirectives(createVNode("input", {
                        "onUpdate:modelValue": ($event) => search.value = $event,
                        class: "bg-white pl-10 text-sm w-52 shadow outline-none border-none focus:border-none focus:ring-1 focus:ring-gray-300 rounded-md",
                        placeholder: "Search..."
                      }, null, 8, ["onUpdate:modelValue"]), [
                        [vModelText, search.value]
                      ])
                    ])
                  ]),
                  createVNode("div", { class: "rounded-md shadow-sm h-full" }, [
                    createVNode("table", { class: "w-full capitalize" }, [
                      createVNode("thead", { class: "bg-white border-b-2 border-gray-100" }, [
                        createVNode("tr", null, [
                          createVNode("th", { class: "w-16 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left" }, "Sl"),
                          createVNode("th", { class: "w-28 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left" }, "Name"),
                          createVNode("th", { class: "w-20 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left" }, "Price"),
                          createVNode("th", { class: "w-36 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left" }, "Billing Days"),
                          createVNode("th", { class: "w-36 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left" }, "Billing Type"),
                          createVNode("th", { class: "w-28 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left" }, "Product"),
                          createVNode("th", { class: "w-24 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left" }, "Is Active"),
                          createVNode("th", { class: "w-56 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left" }, "Active Subscriptions"),
                          createVNode("th", { class: "w-56 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left" }, "Expired Subscriptions"),
                          createVNode("th", { class: "w-16 p-3 text-sm text-gray-800 font-semibold tracking-wide text-left" }, "Actions")
                        ])
                      ]),
                      createVNode("tbody", null, [
                        (openBlock(true), createBlock(Fragment, null, renderList(_ctx.$page.props.plans.data, (plan, index) => {
                          return openBlock(), createBlock("tr", {
                            key: index,
                            class: [index % 2 === 1 ? "bg-white" : "bg-gray-50", "group"]
                          }, [
                            createVNode("td", { class: "p-3 text-sm text-gray-700 group-hover:text-blue-500 group-hover:underline font-bold" }, toDisplayString(getSerialNumber(index)), 1),
                            createVNode("td", { class: "p-3 text-sm text-gray-700 whitespace-nowrap" }, toDisplayString(plan.name), 1),
                            createVNode("td", { class: "p-3 text-sm text-gray-700" }, toDisplayString(plan.price) + " " + toDisplayString(plan.currency), 1),
                            createVNode("td", { class: "p-3 text-sm text-gray-700" }, toDisplayString(plan.billing_cycle_days), 1),
                            createVNode("td", { class: "p-3 text-sm text-gray-700" }, toDisplayString(plan.billing_cycle_type), 1),
                            createVNode("td", { class: "p-3 text-sm text-gray-700" }, toDisplayString(plan.product_line), 1),
                            createVNode("td", { class: "p-3 text-sm font-medium" }, [
                              createVNode("span", {
                                class: `px-3 py-1.5 ${plan.is_active ? "bg-indigo-100 text-indigo-800" : "text-yellow-800 bg-yellow-100"} rounded-md`
                              }, toDisplayString(plan.is_active ? "Active" : "Inactive"), 3)
                            ]),
                            createVNode("td", { class: "p-3 text-sm text-gray-700" }, toDisplayString(plan.active_subscriptions_count), 1),
                            createVNode("td", { class: "p-3 text-sm text-gray-700" }, toDisplayString(plan.expired_subscriptions_count), 1),
                            createVNode("td", { class: "p-3 text-sm text-gray-700" }, [
                              createVNode(_sfc_main$2)
                            ])
                          ], 2);
                        }), 128)),
                        search.value && !_ctx.$page.props.plans.data.length ? (openBlock(), createBlock("tr", {
                          key: _ctx.index,
                          class: [_ctx.index % 2 === 1 ? "bg-white" : "bg-gray-50", "group"]
                        }, [
                          createVNode("td", {
                            class: "p-3 text-sm text-gray-700 text-center",
                            colspan: "10"
                          }, "Not found plans by this `" + toDisplayString(search.value) + "`", 1)
                        ], 2)) : createCommentVNode("", true)
                      ])
                    ])
                  ]),
                  _ctx.$page.props.plans.data.length ? (openBlock(), createBlock(_sfc_main$3, {
                    key: 0,
                    from: _ctx.$page.props.plans.from,
                    to: _ctx.$page.props.plans.to,
                    total: _ctx.$page.props.plans.total,
                    links: _ctx.$page.props.plans.links,
                    class: "mt-6"
                  }, null, 8, ["from", "to", "total", "links"])) : createCommentVNode("", true)
                ])
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Admin/Plan/List.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
