import { useSSRContext, mergeProps, useModel, unref, mergeModels, ref, useTemplateRef, onMounted, watch, onUnmounted, withCtx, createTextVNode, toDisplayString, createVNode, createBlock, createCommentVNode, openBlock, Fragment, renderList } from "vue";
import { ssrRenderSlot, ssrRenderAttrs, ssrRenderComponent, ssrRenderAttr, ssrInterpolate, ssrRenderList, ssrRenderClass } from "vue/server-renderer";
import { _ as _sfc_main$6 } from "./Checkbox-CXDfLSto.js";
import { IconSearch, IconArrowUp, IconArrowDown, IconMail, IconBuilding } from "@tabler/icons-vue";
import { _ as _sfc_main$5 } from "./AppLayout-CqYed3C-.js";
import { usePage, router } from "@inertiajs/vue3";
import { _ as _sfc_main$8 } from "./Paginator-Ld42JZuH.js";
import { debounce } from "lodash/function.js";
import { _ as _sfc_main$7 } from "./TableActionMenu-5HE-QJji.js";
import "./_plugin-vue_export-helper-1tPrXgE0.js";
const _sfc_main$4 = {
  __name: "index",
  __ssrInlineRender: true,
  props: {
    variant: String
  },
  setup(__props) {
    const props = __props;
    console.log(props.variant);
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<!--[-->`);
      if (__props.variant === "secondary") {
        _push(`<span class="inline-flex items-center rounded-md bg-gray-50 px-2 py-1 text-xs font-medium text-gray-600 ring-1 ring-gray-500/10 ring-inset">`);
        ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
        _push(`</span>`);
      } else {
        _push(`<!---->`);
      }
      if (__props.variant === "danger" || __props.variant === "failed" || __props.variant === "fail") {
        _push(`<span class="inline-flex items-center rounded-md bg-red-50 px-2 py-1 text-xs font-medium text-red-700 ring-1 ring-red-600/10 ring-inset">`);
        ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
        _push(`</span>`);
      } else {
        _push(`<!---->`);
      }
      if (__props.variant === "warning" || __props.variant === "pending") {
        _push(`<span class="inline-flex items-center rounded-md bg-yellow-50 px-2 py-1 text-xs font-medium text-yellow-800 ring-1 ring-yellow-600/20 ring-inset">`);
        ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
        _push(`</span>`);
      } else {
        _push(`<!---->`);
      }
      if (__props.variant === "success" || __props.variant === "complete") {
        _push(`<span class="inline-flex items-center rounded-md bg-green-50 px-2 py-1 text-xs font-medium text-green-700 ring-1 ring-green-600/20 ring-inset">`);
        ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
        _push(`</span>`);
      } else {
        _push(`<!---->`);
      }
      if (__props.variant === "info") {
        _push(`<span class="inline-flex items-center rounded-md bg-blue-50 px-2 py-1 text-xs font-medium text-blue-700 ring-1 ring-blue-700/10 ring-inset">`);
        ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
        _push(`</span>`);
      } else {
        _push(`<!---->`);
      }
      if (__props.variant === "rolled_back") {
        _push(`<span class="inline-flex items-center rounded-md bg-indigo-50 px-2 py-1 text-xs font-medium text-indigo-700 ring-1 ring-indigo-700/10 ring-inset">`);
        ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
        _push(`</span>`);
      } else {
        _push(`<!---->`);
      }
      if (__props.variant === "processing") {
        _push(`<span class="inline-flex items-center rounded-md bg-purple-50 px-2 py-1 text-xs font-medium text-purple-700 ring-1 ring-purple-700/10 ring-inset">Badge</span>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<!--]-->`);
    };
  }
};
const _sfc_setup$4 = _sfc_main$4.setup;
_sfc_main$4.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Components/Ui/Badge/index.vue");
  return _sfc_setup$4 ? _sfc_setup$4(props, ctx) : void 0;
};
const _sfc_main$3 = {
  __name: "BadgeSolid",
  __ssrInlineRender: true,
  props: {
    variant: String
  },
  setup(__props) {
    return (_ctx, _push, _parent, _attrs) => {
      if (__props.variant === "upgrade" || __props.variant === "success") {
        _push(`<span${ssrRenderAttrs(mergeProps({ class: "inline-flex items-center gap-x-1.5 py-1.5 px-3 rounded-full text-xs font-medium bg-gray-500 text-white" }, _attrs))}>`);
        ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
        _push(`</span>`);
      } else if (__props.variant === "renewal") {
        _push(`<span${ssrRenderAttrs(mergeProps({ class: "inline-flex items-center gap-x-1.5 py-1.5 px-3 rounded-full text-xs font-medium bg-teal-500 text-white" }, _attrs))}>`);
        ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
        _push(`</span>`);
      } else if (__props.variant === "crossgrade") {
        _push(`<span${ssrRenderAttrs(mergeProps({ class: "inline-flex items-center gap-x-1.5 py-1.5 px-3 rounded-full text-xs font-medium bg-blue-600 text-white dark:bg-blue-500" }, _attrs))}>`);
        ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
        _push(`</span>`);
      } else if (__props.variant === "resume") {
        _push(`<span${ssrRenderAttrs(mergeProps({ class: "inline-flex items-center gap-x-1.5 py-1.5 px-3 rounded-full text-xs font-medium bg-indigo-600 text-white dark:bg-indigo-500" }, _attrs))}>`);
        ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
        _push(`</span>`);
      } else if (__props.variant === "pause") {
        _push(`<span${ssrRenderAttrs(mergeProps({ class: "inline-flex items-center gap-x-1.5 py-1.5 px-3 rounded-full text-xs font-medium bg-red-500 text-white" }, _attrs))}>`);
        ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
        _push(`</span>`);
      } else if (__props.variant === "downgrade") {
        _push(`<span${ssrRenderAttrs(mergeProps({ class: "inline-flex items-center gap-x-1.5 py-1.5 px-3 rounded-full text-xs font-medium bg-yellow-500 text-white" }, _attrs))}>`);
        ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
        _push(`</span>`);
      } else {
        _push(`<span${ssrRenderAttrs(mergeProps({ class: "inline-flex items-center gap-x-1.5 py-1.5 px-3 rounded-full text-xs font-medium bg-white text-gray-600" }, _attrs))}>`);
        ssrRenderSlot(_ctx.$slots, "default", {}, null, _push, _parent);
        _push(`</span>`);
      }
    };
  }
};
const _sfc_setup$3 = _sfc_main$3.setup;
_sfc_main$3.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Components/Ui/Badge/BadgeSolid.vue");
  return _sfc_setup$3 ? _sfc_setup$3(props, ctx) : void 0;
};
const _sfc_main$2 = {
  __name: "SearchText",
  __ssrInlineRender: true,
  props: {
    "modelValue": {
      required: true
    },
    "modelModifiers": {}
  },
  emits: ["update:modelValue"],
  setup(__props) {
    const model = useModel(__props, "modelValue");
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "relative" }, _attrs))}><div class="absolute flex items-center justify-center h-full px-2 text-gray-500 bg-gray-100 rounded-md">`);
      _push(ssrRenderComponent(unref(IconSearch), {
        size: "20",
        color: "currentColor"
      }, null, _parent));
      _push(`</div><input${ssrRenderAttr("value", model.value)} class="bg-white pl-12 text-sm w-60 shadow outline-none border-none focus:border-none focus:ring-1 focus:ring-gray-300 rounded-md" placeholder="Search..."></div>`);
    };
  }
};
const _sfc_setup$2 = _sfc_main$2.setup;
_sfc_main$2.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Components/Form/SearchText.vue");
  return _sfc_setup$2 ? _sfc_setup$2(props, ctx) : void 0;
};
const _sfc_main$1 = {
  __name: "SelectDropdown",
  __ssrInlineRender: true,
  props: /* @__PURE__ */ mergeModels({
    placeholder: String,
    options: Object
  }, {
    "modelValue": {
      required: true
    },
    "modelModifiers": {}
  }),
  emits: ["update:modelValue"],
  setup(__props) {
    const show = ref(false);
    const dropDownMenuContainer = useTemplateRef("dropdown-menu");
    const props = __props;
    const model = useModel(__props, "modelValue");
    const selectedItem = ref({});
    const handleClickOutSide = (e) => {
      if (show.value && dropDownMenuContainer.value && !dropDownMenuContainer.value.contains(e.target)) {
        show.value = false;
      }
    };
    onMounted(() => {
      document.addEventListener("click", handleClickOutSide);
      if (model.value) {
        selectedItem.value = props.options.find((el) => el.value === model.value);
      }
    });
    watch(model, (value) => {
      console.log(value);
      selectedItem.value = props.options.find((el) => el.value === model.value);
    });
    onUnmounted(() => {
      document.removeEventListener("click", handleClickOutSide);
    });
    return (_ctx, _push, _parent, _attrs) => {
      var _a;
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: "relative",
        ref: "dropdown-menu"
      }, _attrs))}><div class="font-semibold text-sm border-solid border-gray-200 border-[1px] px-4 py-2 rounded cursor-pointer font-bold flex items-center bg-white text-gray-700 justify-between w-[200px]"><p class="text-sm text-gray-600 font-medium">${ssrInterpolate(((_a = selectedItem.value) == null ? void 0 : _a.label) || __props.placeholder)}</p>`);
      if (show.value) {
        _push(ssrRenderComponent(unref(IconArrowUp), {
          size: "16",
          color: "currentColor"
        }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      if (!show.value) {
        _push(ssrRenderComponent(unref(IconArrowDown), {
          size: "16",
          color: "currentColor"
        }, null, _parent));
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
      if (show.value) {
        _push(`<div class="rounded border-gray-500 bg-white absolute top-[50px] w-[200px] max-h-[400px] shadow z-40 text-gray-600 overflow-y-auto"><!--[-->`);
        ssrRenderList(__props.options, (item) => {
          _push(`<div class="p-2.5 hover:bg-gray-100 cursor-pointer text-sm">${ssrInterpolate(item.label)}</div>`);
        });
        _push(`<!--]--></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
    };
  }
};
const _sfc_setup$1 = _sfc_main$1.setup;
_sfc_main$1.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Components/Form/SelectDropdown.vue");
  return _sfc_setup$1 ? _sfc_setup$1(props, ctx) : void 0;
};
const _sfc_main = {
  __name: "List",
  __ssrInlineRender: true,
  setup(__props) {
    const formatNumber = new Intl.NumberFormat("en-US", {
      style: "currency",
      currency: "USD",
      minimumFractionDigits: 2
    });
    const filterForm = ref({
      q: "",
      plan: "",
      user: "",
      migration_status: ""
    });
    const resetFilter = () => {
      filterForm.value.migration_status = "";
      filterForm.value.q = "";
      filterForm.value.plan = "";
      filterForm.value.user = "";
      router.get(route(route().current()), {}, { preserveState: true, replace: true });
    };
    const page = usePage().props;
    ref({
      name: true,
      price: true,
      currency: true,
      billing_cycle_days: true,
      billing_cycle_type: false,
      product_line: true,
      is_active: false,
      active_subscriptions_count: false,
      expired_subscriptions_count: false
    });
    watch(filterForm.value, debounce((_) => {
      const queries = {};
      if (filterForm.value.q) {
        queries["q"] = filterForm.value.q;
      }
      if (filterForm.value.user) {
        queries["user"] = filterForm.value.user;
      }
      if (filterForm.value.plan) {
        queries["plan"] = filterForm.value.plan;
      }
      if (filterForm.value.migration_status) {
        queries["migration_status"] = filterForm.value.migration_status;
      }
      router.get(route(route().current()), queries, { preserveState: true, replace: true });
    }, 300));
    const getSerialNumber = (index) => (page.subscriptions.current_page - 1) * page.subscriptions.per_page + index + 1;
    return (_ctx, _push, _parent, _attrs) => {
      _push(ssrRenderComponent(_sfc_main$5, mergeProps({ title: "Subscriptions List" }, _attrs), {
        header: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<h2 class="font-semibold text-xl text-gray-800 leading-tight"${_scopeId}>Subscriptions</h2>`);
          } else {
            return [
              createVNode("h2", { class: "font-semibold text-xl text-gray-800 leading-tight" }, "Subscriptions")
            ];
          }
        }),
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="py-12"${_scopeId}><div class="max-w-7xl mx-auto sm:px-6 lg:px-8"${_scopeId}><div class="bg-white rounded"${_scopeId}><div class="shadow-sm px-1 w-full flex items-center"${_scopeId}><ul class="w-full flex text-sm"${_scopeId}><li class="${ssrRenderClass([[filterForm.value.migration_status === "" ? "border-blue-400" : "border-white"], "px-4 text-blue-600 cursor-pointer border-b-[2px] py-3"])}"${_scopeId}>All <span class="ml-1 px-2 bg-blue-50 py-1 rounded-md"${_scopeId}>${ssrInterpolate(unref(page).counts.total)}</span></li><!--[-->`);
            ssrRenderList(unref(page).statuses, (status) => {
              _push2(`<li class="${ssrRenderClass([[filterForm.value.migration_status === status ? "border-blue-400 text-blue-600" : "border-white"], "px-4 text-gray-500 cursor-pointer border-b-[2px] py-3 capitalize"])}"${_scopeId}>${ssrInterpolate(status.replaceAll("_", " "))} <span class="ml-1 px-2 bg-blue-50 py-1 rounded-md"${_scopeId}>${ssrInterpolate(unref(page).counts[status] || 0)}</span></li>`);
            });
            _push2(`<!--]--></ul><button class="hover:bg-gray-50 py-2.5 px-6 rounded text-sm text-red-600"${_scopeId}>Reset</button></div><div class="py-4 w-full flex justify-between items-center px-4"${_scopeId}><div${_scopeId}></div><div class="flex items-center gap-5"${_scopeId}>`);
            _push2(ssrRenderComponent(_sfc_main$1, {
              options: unref(page).users,
              placeholder: "Select user...",
              modelValue: filterForm.value.user,
              "onUpdate:modelValue": ($event) => filterForm.value.user = $event
            }, null, _parent2, _scopeId));
            _push2(ssrRenderComponent(_sfc_main$1, {
              options: unref(page).plans,
              placeholder: "Select plan...",
              modelValue: filterForm.value.plan,
              "onUpdate:modelValue": ($event) => filterForm.value.plan = $event
            }, null, _parent2, _scopeId));
            _push2(ssrRenderComponent(_sfc_main$2, {
              modelValue: filterForm.value.q,
              "onUpdate:modelValue": ($event) => filterForm.value.q = $event
            }, null, _parent2, _scopeId));
            _push2(`</div></div><div class="rounded-md shadow-sm h-full"${_scopeId}><table class="w-full"${_scopeId}><thead class="bg-slate-100 border-b-2 border-gray-100 capitalize"${_scopeId}><tr${_scopeId}><th class="w-8 p-3 text-sm text-gray-600 font-semibold tracking-wide text-left"${_scopeId}>Sl</th><th class="w-28 p-3 text-sm text-gray-600 font-semibold tracking-wide text-left"${_scopeId}>User</th><th class="w-20 p-3 text-sm text-gray-600 font-semibold tracking-wide text-left"${_scopeId}>Plan</th><th class="w-20 p-3 text-sm text-gray-600 font-semibold tracking-wide text-left"${_scopeId}>Prorated Amount</th><th class="w-20 p-3 text-sm text-gray-600 font-semibold tracking-wide text-left"${_scopeId}>Credit Balance</th><th class="w-20 p-3 text-sm text-gray-600 font-semibold tracking-wide text-left"${_scopeId}>Type</th><th class="w-20 p-3 text-sm text-gray-600 font-semibold tracking-wide text-left"${_scopeId}>Status</th><th class="w-20 p-3 text-sm text-gray-600 font-semibold tracking-wide text-left"${_scopeId}>Initiator Ip</th><th class="w-16 p-3 text-sm text-gray-600 font-semibold tracking-wide text-left"${_scopeId}>Actions</th></tr></thead><tbody${_scopeId}><!--[-->`);
            ssrRenderList(_ctx.$page.props.subscriptions.data, (subscription, index) => {
              var _a;
              _push2(`<tr class="group hover:bg-gray-50"${_scopeId}><td class="p-3 text-sm text-gray-700 group-hover:text-blue-500 group-hover:underline"${_scopeId}><div class="flex gap-2 items-center"${_scopeId}>`);
              _push2(ssrRenderComponent(unref(_sfc_main$6), null, null, _parent2, _scopeId));
              _push2(` ${ssrInterpolate(getSerialNumber(index))}</div></td><td class="p-3 text-sm text-gray-700 whitespace-nowrap"${_scopeId}><p class="font-semibold"${_scopeId}>${ssrInterpolate(subscription.user.name)}</p><p class="text-sm text-gray-500 flex items-center gap-2"${_scopeId}>`);
              _push2(ssrRenderComponent(unref(IconMail), {
                size: "16",
                color: "currentColor"
              }, null, _parent2, _scopeId));
              _push2(`${ssrInterpolate(subscription.user.email)}</p><p class="text-sm text-gray-500 flex items-center gap-2"${_scopeId}>`);
              _push2(ssrRenderComponent(unref(IconBuilding), {
                size: "16",
                color: "currentColor"
              }, null, _parent2, _scopeId));
              _push2(`${ssrInterpolate((_a = subscription.user) == null ? void 0 : _a.company)}</p></td><td class="p-3 text-sm text-gray-700 capitalize"${_scopeId}><p class="text-sm"${_scopeId}>${ssrInterpolate(subscription.plan.name)}</p><p class="text-sm"${_scopeId}>${ssrInterpolate(unref(formatNumber).format(subscription.plan.price))}</p><p class="text-sm"${_scopeId}>${ssrInterpolate(subscription.plan.billing_cycle_days)} days</p><p class="text-sm"${_scopeId}>${ssrInterpolate(subscription.plan.billing_cycle_type)}</p></td><td class="p-3 text-sm text-gray-700 capitalize"${_scopeId}>${ssrInterpolate(unref(formatNumber).format(subscription == null ? void 0 : subscription.prorated_amount))}</td><td class="p-3 text-sm text-gray-700 capitalize"${_scopeId}>${ssrInterpolate(unref(formatNumber).format(subscription == null ? void 0 : subscription.credit_balance))}</td><td class="p-3 text-sm text-gray-700 capitalize"${_scopeId}>`);
              _push2(ssrRenderComponent(unref(_sfc_main$3), {
                variant: subscription == null ? void 0 : subscription.migration_type
              }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`${ssrInterpolate(subscription.migration_type)}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(subscription.migration_type), 1)
                    ];
                  }
                }),
                _: 2
              }, _parent2, _scopeId));
              _push2(`</td><td class="p-3 text-sm font-medium capitalize"${_scopeId}>`);
              _push2(ssrRenderComponent(unref(_sfc_main$4), {
                variant: subscription.migration_status
              }, {
                default: withCtx((_2, _push3, _parent3, _scopeId2) => {
                  if (_push3) {
                    _push3(`${ssrInterpolate(subscription.migration_status.replaceAll("_", " "))}`);
                  } else {
                    return [
                      createTextVNode(toDisplayString(subscription.migration_status.replaceAll("_", " ")), 1)
                    ];
                  }
                }),
                _: 2
              }, _parent2, _scopeId));
              _push2(`</td><td class="p-3 text-sm text-gray-700 capitalize"${_scopeId}>${ssrInterpolate(subscription.migration_initiator_ip)}</td><td class="p-3 text-sm text-gray-700"${_scopeId}>`);
              _push2(ssrRenderComponent(_sfc_main$7, null, null, _parent2, _scopeId));
              _push2(`</td></tr>`);
            });
            _push2(`<!--]-->`);
            if (filterForm.value.plan || filterForm.value.q || filterForm.value.user || filterForm.value.migration_status && !_ctx.$page.props.subscriptions.data.length) {
              _push2(`<tr class="${ssrRenderClass([_ctx.index % 2 === 1 ? "bg-white" : "bg-gray-50", "group"])}"${_scopeId}><td class="p-3 text-sm text-gray-700 text-center" colspan="10"${_scopeId}>Not found subscriptions</td></tr>`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`</tbody></table></div></div>`);
            if (_ctx.$page.props.subscriptions.data.length) {
              _push2(ssrRenderComponent(_sfc_main$8, {
                from: _ctx.$page.props.subscriptions.from,
                to: _ctx.$page.props.subscriptions.to,
                total: _ctx.$page.props.subscriptions.total,
                links: _ctx.$page.props.subscriptions.links,
                class: "mt-6"
              }, null, _parent2, _scopeId));
            } else {
              _push2(`<!---->`);
            }
            _push2(`</div></div>`);
          } else {
            return [
              createVNode("div", { class: "py-12" }, [
                createVNode("div", { class: "max-w-7xl mx-auto sm:px-6 lg:px-8" }, [
                  createVNode("div", { class: "bg-white rounded" }, [
                    createVNode("div", { class: "shadow-sm px-1 w-full flex items-center" }, [
                      createVNode("ul", { class: "w-full flex text-sm" }, [
                        createVNode("li", {
                          class: [[filterForm.value.migration_status === "" ? "border-blue-400" : "border-white"], "px-4 text-blue-600 cursor-pointer border-b-[2px] py-3"],
                          onClick: () => filterForm.value.migration_status = ""
                        }, [
                          createTextVNode("All "),
                          createVNode("span", { class: "ml-1 px-2 bg-blue-50 py-1 rounded-md" }, toDisplayString(unref(page).counts.total), 1)
                        ], 10, ["onClick"]),
                        (openBlock(true), createBlock(Fragment, null, renderList(unref(page).statuses, (status) => {
                          return openBlock(), createBlock("li", {
                            class: [[filterForm.value.migration_status === status ? "border-blue-400 text-blue-600" : "border-white"], "px-4 text-gray-500 cursor-pointer border-b-[2px] py-3 capitalize"],
                            key: status,
                            onClick: () => filterForm.value.migration_status = status
                          }, [
                            createTextVNode(toDisplayString(status.replaceAll("_", " ")) + " ", 1),
                            createVNode("span", { class: "ml-1 px-2 bg-blue-50 py-1 rounded-md" }, toDisplayString(unref(page).counts[status] || 0), 1)
                          ], 10, ["onClick"]);
                        }), 128))
                      ]),
                      createVNode("button", {
                        class: "hover:bg-gray-50 py-2.5 px-6 rounded text-sm text-red-600",
                        onClick: () => resetFilter()
                      }, "Reset", 8, ["onClick"])
                    ]),
                    createVNode("div", { class: "py-4 w-full flex justify-between items-center px-4" }, [
                      createVNode("div"),
                      createVNode("div", { class: "flex items-center gap-5" }, [
                        createVNode(_sfc_main$1, {
                          options: unref(page).users,
                          placeholder: "Select user...",
                          modelValue: filterForm.value.user,
                          "onUpdate:modelValue": ($event) => filterForm.value.user = $event
                        }, null, 8, ["options", "modelValue", "onUpdate:modelValue"]),
                        createVNode(_sfc_main$1, {
                          options: unref(page).plans,
                          placeholder: "Select plan...",
                          modelValue: filterForm.value.plan,
                          "onUpdate:modelValue": ($event) => filterForm.value.plan = $event
                        }, null, 8, ["options", "modelValue", "onUpdate:modelValue"]),
                        createVNode(_sfc_main$2, {
                          modelValue: filterForm.value.q,
                          "onUpdate:modelValue": ($event) => filterForm.value.q = $event
                        }, null, 8, ["modelValue", "onUpdate:modelValue"])
                      ])
                    ]),
                    createVNode("div", { class: "rounded-md shadow-sm h-full" }, [
                      createVNode("table", { class: "w-full" }, [
                        createVNode("thead", { class: "bg-slate-100 border-b-2 border-gray-100 capitalize" }, [
                          createVNode("tr", null, [
                            createVNode("th", { class: "w-8 p-3 text-sm text-gray-600 font-semibold tracking-wide text-left" }, "Sl"),
                            createVNode("th", { class: "w-28 p-3 text-sm text-gray-600 font-semibold tracking-wide text-left" }, "User"),
                            createVNode("th", { class: "w-20 p-3 text-sm text-gray-600 font-semibold tracking-wide text-left" }, "Plan"),
                            createVNode("th", { class: "w-20 p-3 text-sm text-gray-600 font-semibold tracking-wide text-left" }, "Prorated Amount"),
                            createVNode("th", { class: "w-20 p-3 text-sm text-gray-600 font-semibold tracking-wide text-left" }, "Credit Balance"),
                            createVNode("th", { class: "w-20 p-3 text-sm text-gray-600 font-semibold tracking-wide text-left" }, "Type"),
                            createVNode("th", { class: "w-20 p-3 text-sm text-gray-600 font-semibold tracking-wide text-left" }, "Status"),
                            createVNode("th", { class: "w-20 p-3 text-sm text-gray-600 font-semibold tracking-wide text-left" }, "Initiator Ip"),
                            createVNode("th", { class: "w-16 p-3 text-sm text-gray-600 font-semibold tracking-wide text-left" }, "Actions")
                          ])
                        ]),
                        createVNode("tbody", null, [
                          (openBlock(true), createBlock(Fragment, null, renderList(_ctx.$page.props.subscriptions.data, (subscription, index) => {
                            var _a;
                            return openBlock(), createBlock("tr", {
                              key: index,
                              class: "group hover:bg-gray-50"
                            }, [
                              createVNode("td", { class: "p-3 text-sm text-gray-700 group-hover:text-blue-500 group-hover:underline" }, [
                                createVNode("div", { class: "flex gap-2 items-center" }, [
                                  createVNode(unref(_sfc_main$6)),
                                  createTextVNode(" " + toDisplayString(getSerialNumber(index)), 1)
                                ])
                              ]),
                              createVNode("td", { class: "p-3 text-sm text-gray-700 whitespace-nowrap" }, [
                                createVNode("p", { class: "font-semibold" }, toDisplayString(subscription.user.name), 1),
                                createVNode("p", { class: "text-sm text-gray-500 flex items-center gap-2" }, [
                                  createVNode(unref(IconMail), {
                                    size: "16",
                                    color: "currentColor"
                                  }),
                                  createTextVNode(toDisplayString(subscription.user.email), 1)
                                ]),
                                createVNode("p", { class: "text-sm text-gray-500 flex items-center gap-2" }, [
                                  createVNode(unref(IconBuilding), {
                                    size: "16",
                                    color: "currentColor"
                                  }),
                                  createTextVNode(toDisplayString((_a = subscription.user) == null ? void 0 : _a.company), 1)
                                ])
                              ]),
                              createVNode("td", { class: "p-3 text-sm text-gray-700 capitalize" }, [
                                createVNode("p", { class: "text-sm" }, toDisplayString(subscription.plan.name), 1),
                                createVNode("p", { class: "text-sm" }, toDisplayString(unref(formatNumber).format(subscription.plan.price)), 1),
                                createVNode("p", { class: "text-sm" }, toDisplayString(subscription.plan.billing_cycle_days) + " days", 1),
                                createVNode("p", { class: "text-sm" }, toDisplayString(subscription.plan.billing_cycle_type), 1)
                              ]),
                              createVNode("td", { class: "p-3 text-sm text-gray-700 capitalize" }, toDisplayString(unref(formatNumber).format(subscription == null ? void 0 : subscription.prorated_amount)), 1),
                              createVNode("td", { class: "p-3 text-sm text-gray-700 capitalize" }, toDisplayString(unref(formatNumber).format(subscription == null ? void 0 : subscription.credit_balance)), 1),
                              createVNode("td", { class: "p-3 text-sm text-gray-700 capitalize" }, [
                                createVNode(unref(_sfc_main$3), {
                                  variant: subscription == null ? void 0 : subscription.migration_type
                                }, {
                                  default: withCtx(() => [
                                    createTextVNode(toDisplayString(subscription.migration_type), 1)
                                  ]),
                                  _: 2
                                }, 1032, ["variant"])
                              ]),
                              createVNode("td", { class: "p-3 text-sm font-medium capitalize" }, [
                                createVNode(unref(_sfc_main$4), {
                                  variant: subscription.migration_status
                                }, {
                                  default: withCtx(() => [
                                    createTextVNode(toDisplayString(subscription.migration_status.replaceAll("_", " ")), 1)
                                  ]),
                                  _: 2
                                }, 1032, ["variant"])
                              ]),
                              createVNode("td", { class: "p-3 text-sm text-gray-700 capitalize" }, toDisplayString(subscription.migration_initiator_ip), 1),
                              createVNode("td", { class: "p-3 text-sm text-gray-700" }, [
                                createVNode(_sfc_main$7)
                              ])
                            ]);
                          }), 128)),
                          filterForm.value.plan || filterForm.value.q || filterForm.value.user || filterForm.value.migration_status && !_ctx.$page.props.subscriptions.data.length ? (openBlock(), createBlock("tr", {
                            key: _ctx.index,
                            class: [_ctx.index % 2 === 1 ? "bg-white" : "bg-gray-50", "group"]
                          }, [
                            createVNode("td", {
                              class: "p-3 text-sm text-gray-700 text-center",
                              colspan: "10"
                            }, "Not found subscriptions")
                          ], 2)) : createCommentVNode("", true)
                        ])
                      ])
                    ])
                  ]),
                  _ctx.$page.props.subscriptions.data.length ? (openBlock(), createBlock(_sfc_main$8, {
                    key: 0,
                    from: _ctx.$page.props.subscriptions.from,
                    to: _ctx.$page.props.subscriptions.to,
                    total: _ctx.$page.props.subscriptions.total,
                    links: _ctx.$page.props.subscriptions.links,
                    class: "mt-6"
                  }, null, 8, ["from", "to", "total", "links"])) : createCommentVNode("", true)
                ])
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Admin/Subscription/List.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
