import { ref, watch, mergeProps, withCtx, unref, createVNode, withDirectives, vModelText, createBlock, createCommentVNode, openBlock, Fragment, renderList, toDisplayString, useSSRContext } from "vue";
import { ssrRenderComponent, ssrRenderAttr, ssrRenderStyle, ssrRenderList, ssrRenderClass, ssrInterpolate } from "vue/server-renderer";
import { IconSearch } from "@tabler/icons-vue";
import { _ as _sfc_main$1 } from "./AppLayout-CqYed3C-.js";
import { router } from "@inertiajs/vue3";
import { _ as _sfc_main$3 } from "./Paginator-Ld42JZuH.js";
import { debounce } from "lodash/function.js";
import { _ as _sfc_main$2 } from "./TableActionMenu-5HE-QJji.js";
import "./_plugin-vue_export-helper-1tPrXgE0.js";
const _sfc_main = {
  __name: "List",
  __ssrInlineRender: true,
  setup(__props) {
    const search = ref("");
    watch(search, debounce((newStr) => {
      router.get(route(route().current()), { q: newStr }, { preserveState: true, replace: true });
    }, 300));
    return (_ctx, _push, _parent, _attrs) => {
      _push(ssrRenderComponent(_sfc_main$1, mergeProps({ title: "Users List" }, _attrs), {
        header: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<h2 class="font-semibold text-xl text-gray-800 leading-tight"${_scopeId}>Users</h2>`);
          } else {
            return [
              createVNode("h2", { class: "font-semibold text-xl text-gray-800 leading-tight" }, "Users")
            ];
          }
        }),
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="py-12"${_scopeId}><div class="max-w-7xl mx-auto sm:px-6 lg:px-8"${_scopeId}><div class="pb-4 w-full flex justify-between items-center"${_scopeId}><p class="text-gray-700 text-lg font-semibold"${_scopeId}>List</p><div class="relative"${_scopeId}><div class="absolute flex items-center justify-center h-full px-2 text-gray-500 bg-gray-100 rounded-md"${_scopeId}>`);
            _push2(ssrRenderComponent(unref(IconSearch), {
              size: "20",
              color: "currentColor"
            }, null, _parent2, _scopeId));
            _push2(`</div><input${ssrRenderAttr("value", search.value)} class="bg-white pl-10 text-sm w-52 shadow outline-none border-none focus:border-none focus:ring-1 focus:ring-gray-300 rounded-md" placeholder="Search..."${_scopeId}></div></div><div class="overflow-auto rounded-md shadow-sm h-full"${_scopeId}><div style="${ssrRenderStyle({ "min-height": "300px" })}"${_scopeId}><table class="w-full"${_scopeId}><thead class="bg-white border-b-2 border-gray-100"${_scopeId}><tr${_scopeId}><th class="w-16 p-3 text-sm font-semibold tracking-wide text-left"${_scopeId}>Sl</th><th class="p-3 text-sm font-semibold tracking-wide text-left"${_scopeId}>Name</th><th class="p-3 text-sm font-semibold tracking-wide text-left"${_scopeId}>Email</th><th class="p-3 text-sm font-semibold tracking-wide text-left"${_scopeId}>Phone</th><th class="p-3 text-sm font-semibold tracking-wide text-left"${_scopeId}>Role</th><th class="w-16 p-3 text-sm font-semibold tracking-wide text-left"${_scopeId}>Actions</th></tr></thead><tbody${_scopeId}><!--[-->`);
            ssrRenderList(_ctx.$page.props.users.data, (user, index) => {
              _push2(`<tr class="${ssrRenderClass([index % 2 === 1 ? "bg-white" : "bg-gray-50", "group"])}"${_scopeId}><td class="p-3 text-sm text-gray-700 group-hover:text-blue-500 group-hover:underline font-bold"${_scopeId}>000${ssrInterpolate(index++)}</td><td class="p-3 text-sm text-gray-700"${_scopeId}>${ssrInterpolate(user.name)}</td><td class="p-3 text-sm text-gray-700"${_scopeId}>${ssrInterpolate(user.email)}</td><td class="p-3 text-sm text-gray-700"${_scopeId}>01777777777</td><td class="p-3 text-sm text-gray-700"${_scopeId}>Admin</td><td class="p-3 text-sm text-gray-700"${_scopeId}>`);
              _push2(ssrRenderComponent(_sfc_main$2, null, null, _parent2, _scopeId));
              _push2(`</td></tr>`);
            });
            _push2(`<!--]-->`);
            if (search.value && !_ctx.$page.props.users.data.length) {
              _push2(`<tr class="${ssrRenderClass([_ctx.index % 2 === 1 ? "bg-white" : "bg-gray-50", "group"])}"${_scopeId}><td class="p-3 text-sm text-gray-700 text-center" colspan="6"${_scopeId}>Not found users by this \`${ssrInterpolate(search.value)}\`</td></tr>`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`</tbody></table></div></div>`);
            _push2(ssrRenderComponent(_sfc_main$3, {
              links: _ctx.$page.props.users.links,
              from: _ctx.$page.props.users.from,
              to: _ctx.$page.props.users.to,
              total: _ctx.$page.props.users.total,
              class: "mt-6"
            }, null, _parent2, _scopeId));
            _push2(`</div></div>`);
          } else {
            return [
              createVNode("div", { class: "py-12" }, [
                createVNode("div", { class: "max-w-7xl mx-auto sm:px-6 lg:px-8" }, [
                  createVNode("div", { class: "pb-4 w-full flex justify-between items-center" }, [
                    createVNode("p", { class: "text-gray-700 text-lg font-semibold" }, "List"),
                    createVNode("div", { class: "relative" }, [
                      createVNode("div", { class: "absolute flex items-center justify-center h-full px-2 text-gray-500 bg-gray-100 rounded-md" }, [
                        createVNode(unref(IconSearch), {
                          size: "20",
                          color: "currentColor"
                        })
                      ]),
                      withDirectives(createVNode("input", {
                        "onUpdate:modelValue": ($event) => search.value = $event,
                        class: "bg-white pl-10 text-sm w-52 shadow outline-none border-none focus:border-none focus:ring-1 focus:ring-gray-300 rounded-md",
                        placeholder: "Search..."
                      }, null, 8, ["onUpdate:modelValue"]), [
                        [vModelText, search.value]
                      ])
                    ])
                  ]),
                  createVNode("div", { class: "overflow-auto rounded-md shadow-sm h-full" }, [
                    createVNode("div", { style: { "min-height": "300px" } }, [
                      createVNode("table", { class: "w-full" }, [
                        createVNode("thead", { class: "bg-white border-b-2 border-gray-100" }, [
                          createVNode("tr", null, [
                            createVNode("th", { class: "w-16 p-3 text-sm font-semibold tracking-wide text-left" }, "Sl"),
                            createVNode("th", { class: "p-3 text-sm font-semibold tracking-wide text-left" }, "Name"),
                            createVNode("th", { class: "p-3 text-sm font-semibold tracking-wide text-left" }, "Email"),
                            createVNode("th", { class: "p-3 text-sm font-semibold tracking-wide text-left" }, "Phone"),
                            createVNode("th", { class: "p-3 text-sm font-semibold tracking-wide text-left" }, "Role"),
                            createVNode("th", { class: "w-16 p-3 text-sm font-semibold tracking-wide text-left" }, "Actions")
                          ])
                        ]),
                        createVNode("tbody", null, [
                          (openBlock(true), createBlock(Fragment, null, renderList(_ctx.$page.props.users.data, (user, index) => {
                            return openBlock(), createBlock("tr", {
                              key: index,
                              class: [index % 2 === 1 ? "bg-white" : "bg-gray-50", "group"]
                            }, [
                              createVNode("td", { class: "p-3 text-sm text-gray-700 group-hover:text-blue-500 group-hover:underline font-bold" }, "000" + toDisplayString(index++), 1),
                              createVNode("td", { class: "p-3 text-sm text-gray-700" }, toDisplayString(user.name), 1),
                              createVNode("td", { class: "p-3 text-sm text-gray-700" }, toDisplayString(user.email), 1),
                              createVNode("td", { class: "p-3 text-sm text-gray-700" }, "01777777777"),
                              createVNode("td", { class: "p-3 text-sm text-gray-700" }, "Admin"),
                              createVNode("td", { class: "p-3 text-sm text-gray-700" }, [
                                createVNode(_sfc_main$2)
                              ])
                            ], 2);
                          }), 128)),
                          search.value && !_ctx.$page.props.users.data.length ? (openBlock(), createBlock("tr", {
                            key: _ctx.index,
                            class: [_ctx.index % 2 === 1 ? "bg-white" : "bg-gray-50", "group"]
                          }, [
                            createVNode("td", {
                              class: "p-3 text-sm text-gray-700 text-center",
                              colspan: "6"
                            }, "Not found users by this `" + toDisplayString(search.value) + "`", 1)
                          ], 2)) : createCommentVNode("", true)
                        ])
                      ])
                    ])
                  ]),
                  createVNode(_sfc_main$3, {
                    links: _ctx.$page.props.users.links,
                    from: _ctx.$page.props.users.from,
                    to: _ctx.$page.props.users.to,
                    total: _ctx.$page.props.users.total,
                    class: "mt-6"
                  }, null, 8, ["links", "from", "to", "total"])
                ])
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Admin/Users/List.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as default
};
