import { computed, mergeProps, createVNode, resolveDynamicComponent, unref, useSSRContext } from "vue";
import { ssrRenderAttrs, ssrInterpolate, ssrRenderList, ssrRenderVNode } from "vue/server-renderer";
import { Link } from "@inertiajs/vue3";
const _sfc_main = {
  __name: "Paginator",
  __ssrInlineRender: true,
  props: {
    links: Object,
    from: Number,
    to: Number,
    total: Number,
    hidePageInfo: {
      type: Boolean,
      default: false
    },
    activeBg: {
      type: String,
      default: () => `bg-indigo-500`
    }
  },
  setup(__props) {
    const props = __props;
    const links = computed(() => props.links);
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({ class: "flex justify-between items-center w-full" }, _attrs))}>`);
      if (!__props.hidePageInfo) {
        _push(`<p class="dark:text-gray-200 text-sm text-gray-600">Showing ${ssrInterpolate(__props.from)} to ${ssrInterpolate(__props.to)} of ${ssrInterpolate(__props.total)} results</p>`);
      } else {
        _push(`<!---->`);
      }
      _push(`<div><!--[-->`);
      ssrRenderList(links.value, (link) => {
        ssrRenderVNode(_push, createVNode(resolveDynamicComponent(link.url ? unref(Link) : "span"), {
          href: link.url,
          class: [link.url ? `${link.active ? "text-gray-100 " + __props.activeBg : "text-gray-600 dark:text-gray-300"}` : "text-gray-500 dark:text-gray-400", "font-semibold inline-block px-3.5 py-1 rounded text-xs"]
        }, null), _parent);
      });
      _push(`<!--]--></div></div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Components/Paginator.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as _
};
