import { ref, useTemplateRef, onMounted, onUnmounted, mergeProps, unref, useSSRContext } from "vue";
import { ssrRenderAttrs, ssrRenderComponent, ssrRenderStyle } from "vue/server-renderer";
import { IconDots } from "@tabler/icons-vue";
const _sfc_main = {
  __name: "TableActionMenu",
  __ssrInlineRender: true,
  setup(__props) {
    const show = ref(false);
    const container = useTemplateRef("action-container");
    const toggle = () => show.value = !show.value;
    const handleClickOutside = (e) => {
      if (show.value && container.value && !container.value.contains(e.target)) {
        show.value = false;
      }
    };
    onMounted(() => {
      document.addEventListener("click", handleClickOutside);
    });
    onUnmounted(() => {
      document.removeEventListener("click", handleClickOutside);
    });
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<div${ssrRenderAttrs(mergeProps({
        class: "flex justify-center items-center relative",
        ref: "action-container"
      }, _attrs))}>`);
      _push(ssrRenderComponent(unref(IconDots), {
        size: "18",
        color: "currentColor",
        onClick: toggle
      }, null, _parent));
      if (show.value) {
        _push(`<div class="absolute top-full right-10 shadow z-40 w-40 bg-white rounded-md"><p style="${ssrRenderStyle({ "font-size": "12px" })}" class="text-sm text-center py-2 text-gray-400 border-b">Manage Actions</p><a href="" class="py-2 text-gray-700 block hover:bg-gray-50 px-4">View</a><a href="" class="py-2 text-gray-700 block hover:bg-gray-50 px-4">Edit</a><a href="" class="py-2 text-gray-700 block hover:bg-gray-50 px-4">Delete</a></div>`);
      } else {
        _push(`<!---->`);
      }
      _push(`</div>`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Components/TableActionMenu.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
export {
  _sfc_main as _
};
