import { ref, unref, withCtx, createVNode, withDirectives, vModelText, createBlock, createCommentVNode, openBlock, createTextVNode, useSSRContext } from "vue";
import { ssrRenderComponent, ssrRenderAttr, ssrRenderClass } from "vue/server-renderer";
import { Head, router } from "@inertiajs/vue3";
import { _ as _sfc_main$1 } from "./BaseLayout-BCq0Aj0H.js";
import { IconSearch } from "@tabler/icons-vue";
import { _ as _export_sfc } from "./_plugin-vue_export-helper-1tPrXgE0.js";
import "vue-toastification";
const _sfc_main = {
  __name: "Welcome",
  __ssrInlineRender: true,
  setup(__props) {
    const activePromptItem = ref("general");
    const search = ref("");
    const handleSubmit = () => {
      router.get(route("discover.index", { name: search.value }));
    };
    return (_ctx, _push, _parent, _attrs) => {
      _push(`<!--[-->`);
      _push(ssrRenderComponent(unref(Head), { title: "Home" }, null, _parent));
      _push(ssrRenderComponent(_sfc_main$1, null, {
        default: withCtx((_, _push2, _parent2, _scopeId) => {
          if (_push2) {
            _push2(`<div class="lg:w-4/5 xl:w-3/5 md:w-full sm:w-full sm:px-4 mx-auto py-8" data-v-0985e67f${_scopeId}><div class="space-y-8" data-v-0985e67f${_scopeId}><p class="text-2xl text-center text-brand-700 dark:text-brand-200" data-v-0985e67f${_scopeId}>Tell us what you are looking for</p><div class="border border-brand-400 dark:border-gray-600 relative rounded-md" data-v-0985e67f${_scopeId}><input type="text"${ssrRenderAttr("value", search.value)} class="dark:bg-white/[0.2] dark:placeholder:text-gray-300 text-gray-600 dark:text-gray-200 rounded-md focus:border-none w-full text-sm py-2 outline-none border-none" placeholder="e.g. LinkedIn URL, Job Title, Industry, Revenue, Number of Employees, Years of Experience, etc." data-v-0985e67f${_scopeId}><button class="absolute right-0 h-full text-gray-50 dark:text-gray-100 bg-brand-500 dark:bg-brand-600 px-4" data-v-0985e67f${_scopeId}>`);
            _push2(ssrRenderComponent(unref(IconSearch), {
              size: "18",
              color: "currentColor"
            }, null, _parent2, _scopeId));
            _push2(`</button></div><div class="space-y-5" data-v-0985e67f${_scopeId}><p class="text-xl text-gray-700 dark:text-gray-300" data-v-0985e67f${_scopeId}>If you need ideas, use our prompts</p><div class="flex justify-between" data-v-0985e67f${_scopeId}><ul class="bg-gray-100 dark:bg-gray-100/[0.1] text-gray-300 w-40" data-v-0985e67f${_scopeId}><li class="${ssrRenderClass([{ "active-prompt": activePromptItem.value === "general" }, "prompt-item"])}" data-v-0985e67f${_scopeId}>General</li><li class="${ssrRenderClass([{ "active-prompt": activePromptItem.value === "sales" }, "prompt-item"])}" data-v-0985e67f${_scopeId}>Sales</li><li class="${ssrRenderClass([{ "active-prompt": activePromptItem.value === "marketing" }, "prompt-item"])}" data-v-0985e67f${_scopeId}>Marketing</li><li class="${ssrRenderClass([{ "active-prompt": activePromptItem.value === "recruiting" }, "prompt-item"])}" data-v-0985e67f${_scopeId}>Recruiting</li></ul>`);
            if (activePromptItem.value === "general") {
              _push2(`<div class="flex-1 pl-4" data-v-0985e67f${_scopeId}><div data-v-0985e67f${_scopeId}><ul class="space-y-2" data-v-0985e67f${_scopeId}><li class="bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" data-v-0985e67f${_scopeId}><p data-v-0985e67f${_scopeId}>I&#39;m looking for <span class="badge" data-v-0985e67f${_scopeId}>job title</span> working in <span class="badge" data-v-0985e67f${_scopeId}>location</span></p></li><li class="bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" data-v-0985e67f${_scopeId}><p data-v-0985e67f${_scopeId}>I&#39;m looking for <span class="badge" data-v-0985e67f${_scopeId}>job title</span> with <span class="badge" data-v-0985e67f${_scopeId}>number</span> years experience</p></li><li class="bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" data-v-0985e67f${_scopeId}><p data-v-0985e67f${_scopeId}>I&#39;m looking for people in <span class="badge" data-v-0985e67f${_scopeId}>type of industry</span></p></li></ul></div></div>`);
            } else {
              _push2(`<!---->`);
            }
            if (activePromptItem.value === "sales") {
              _push2(`<div class="flex-1 pl-4" data-v-0985e67f${_scopeId}><div data-v-0985e67f${_scopeId}><ul class="space-y-2" data-v-0985e67f${_scopeId}><li class="bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" data-v-0985e67f${_scopeId}><p data-v-0985e67f${_scopeId}>I&#39;m looking for <span class="badge" data-v-0985e67f${_scopeId}>job title</span> in the sales department</p></li><li class="bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" data-v-0985e67f${_scopeId}><p data-v-0985e67f${_scopeId}>I&#39;m looking for <span class="badge" data-v-0985e67f${_scopeId}>job title</span> who know <span class="badge" data-v-0985e67f${_scopeId}>who know</span></p></li></ul></div></div>`);
            } else {
              _push2(`<!---->`);
            }
            if (activePromptItem.value === "marketing") {
              _push2(`<div class="flex-1 pl-4" data-v-0985e67f${_scopeId}><div data-v-0985e67f${_scopeId}><ul class="space-y-2" data-v-0985e67f${_scopeId}><li class="bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" data-v-0985e67f${_scopeId}><p data-v-0985e67f${_scopeId}>I&#39;m looking for people in <span class="badge" data-v-0985e67f${_scopeId}>type of industry</span> with skills</p></li><li class="bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" data-v-0985e67f${_scopeId}><p data-v-0985e67f${_scopeId}>I&#39;m looking for <span class="badge" data-v-0985e67f${_scopeId}>job title</span> working in <span class="badge" data-v-0985e67f${_scopeId}>location</span> with <span class="badge" data-v-0985e67f${_scopeId}>number</span> years experience</p></li></ul></div></div>`);
            } else {
              _push2(`<!---->`);
            }
            if (activePromptItem.value === "recruiting") {
              _push2(`<div class="flex-1 pl-4" data-v-0985e67f${_scopeId}><div data-v-0985e67f${_scopeId}><ul class="space-y-2" data-v-0985e67f${_scopeId}><li class="bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" data-v-0985e67f${_scopeId}><p data-v-0985e67f${_scopeId}>I&#39;m looking for <span class="badge" data-v-0985e67f${_scopeId}>job title</span> with <span class="badge" data-v-0985e67f${_scopeId}>number</span> years experience</p></li><li class="bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" data-v-0985e67f${_scopeId}><p data-v-0985e67f${_scopeId}>I&#39;m looking for people in <span class="badge" data-v-0985e67f${_scopeId}>type of industry</span> with <span class="badge" data-v-0985e67f${_scopeId}>skills</span></p></li><li class="bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" data-v-0985e67f${_scopeId}><p data-v-0985e67f${_scopeId}>I&#39;m looking for <span class="badge" data-v-0985e67f${_scopeId}>management level</span></p></li></ul></div></div>`);
            } else {
              _push2(`<!---->`);
            }
            _push2(`</div></div></div></div>`);
          } else {
            return [
              createVNode("div", { class: "lg:w-4/5 xl:w-3/5 md:w-full sm:w-full sm:px-4 mx-auto py-8" }, [
                createVNode("div", { class: "space-y-8" }, [
                  createVNode("p", { class: "text-2xl text-center text-brand-700 dark:text-brand-200" }, "Tell us what you are looking for"),
                  createVNode("div", { class: "border border-brand-400 dark:border-gray-600 relative rounded-md" }, [
                    withDirectives(createVNode("input", {
                      type: "text",
                      "onUpdate:modelValue": ($event) => search.value = $event,
                      class: "dark:bg-white/[0.2] dark:placeholder:text-gray-300 text-gray-600 dark:text-gray-200 rounded-md focus:border-none w-full text-sm py-2 outline-none border-none",
                      placeholder: "e.g. LinkedIn URL, Job Title, Industry, Revenue, Number of Employees, Years of Experience, etc."
                    }, null, 8, ["onUpdate:modelValue"]), [
                      [vModelText, search.value]
                    ]),
                    createVNode("button", {
                      onClick: handleSubmit,
                      class: "absolute right-0 h-full text-gray-50 dark:text-gray-100 bg-brand-500 dark:bg-brand-600 px-4"
                    }, [
                      createVNode(unref(IconSearch), {
                        size: "18",
                        color: "currentColor"
                      })
                    ])
                  ]),
                  createVNode("div", { class: "space-y-5" }, [
                    createVNode("p", { class: "text-xl text-gray-700 dark:text-gray-300" }, "If you need ideas, use our prompts"),
                    createVNode("div", { class: "flex justify-between" }, [
                      createVNode("ul", { class: "bg-gray-100 dark:bg-gray-100/[0.1] text-gray-300 w-40" }, [
                        createVNode("li", {
                          onClick: () => activePromptItem.value = "general",
                          class: ["prompt-item", { "active-prompt": activePromptItem.value === "general" }]
                        }, "General", 10, ["onClick"]),
                        createVNode("li", {
                          onClick: () => activePromptItem.value = "sales",
                          class: ["prompt-item", { "active-prompt": activePromptItem.value === "sales" }]
                        }, "Sales", 10, ["onClick"]),
                        createVNode("li", {
                          onClick: () => activePromptItem.value = "marketing",
                          class: ["prompt-item", { "active-prompt": activePromptItem.value === "marketing" }]
                        }, "Marketing", 10, ["onClick"]),
                        createVNode("li", {
                          onClick: () => activePromptItem.value = "recruiting",
                          class: ["prompt-item", { "active-prompt": activePromptItem.value === "recruiting" }]
                        }, "Recruiting", 10, ["onClick"])
                      ]),
                      activePromptItem.value === "general" ? (openBlock(), createBlock("div", {
                        key: 0,
                        class: "flex-1 pl-4"
                      }, [
                        createVNode("div", null, [
                          createVNode("ul", { class: "space-y-2" }, [
                            createVNode("li", { class: "bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" }, [
                              createVNode("p", null, [
                                createTextVNode("I'm looking for "),
                                createVNode("span", { class: "badge" }, "job title"),
                                createTextVNode(" working in "),
                                createVNode("span", { class: "badge" }, "location")
                              ])
                            ]),
                            createVNode("li", { class: "bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" }, [
                              createVNode("p", null, [
                                createTextVNode("I'm looking for "),
                                createVNode("span", { class: "badge" }, "job title"),
                                createTextVNode(" with "),
                                createVNode("span", { class: "badge" }, "number"),
                                createTextVNode(" years experience")
                              ])
                            ]),
                            createVNode("li", { class: "bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" }, [
                              createVNode("p", null, [
                                createTextVNode("I'm looking for people in "),
                                createVNode("span", { class: "badge" }, "type of industry")
                              ])
                            ])
                          ])
                        ])
                      ])) : createCommentVNode("", true),
                      activePromptItem.value === "sales" ? (openBlock(), createBlock("div", {
                        key: 1,
                        class: "flex-1 pl-4"
                      }, [
                        createVNode("div", null, [
                          createVNode("ul", { class: "space-y-2" }, [
                            createVNode("li", { class: "bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" }, [
                              createVNode("p", null, [
                                createTextVNode("I'm looking for "),
                                createVNode("span", { class: "badge" }, "job title"),
                                createTextVNode(" in the sales department")
                              ])
                            ]),
                            createVNode("li", { class: "bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" }, [
                              createVNode("p", null, [
                                createTextVNode("I'm looking for "),
                                createVNode("span", { class: "badge" }, "job title"),
                                createTextVNode(" who know "),
                                createVNode("span", { class: "badge" }, "who know")
                              ])
                            ])
                          ])
                        ])
                      ])) : createCommentVNode("", true),
                      activePromptItem.value === "marketing" ? (openBlock(), createBlock("div", {
                        key: 2,
                        class: "flex-1 pl-4"
                      }, [
                        createVNode("div", null, [
                          createVNode("ul", { class: "space-y-2" }, [
                            createVNode("li", { class: "bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" }, [
                              createVNode("p", null, [
                                createTextVNode("I'm looking for people in "),
                                createVNode("span", { class: "badge" }, "type of industry"),
                                createTextVNode(" with skills")
                              ])
                            ]),
                            createVNode("li", { class: "bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" }, [
                              createVNode("p", null, [
                                createTextVNode("I'm looking for "),
                                createVNode("span", { class: "badge" }, "job title"),
                                createTextVNode(" working in "),
                                createVNode("span", { class: "badge" }, "location"),
                                createTextVNode(" with "),
                                createVNode("span", { class: "badge" }, "number"),
                                createTextVNode(" years experience")
                              ])
                            ])
                          ])
                        ])
                      ])) : createCommentVNode("", true),
                      activePromptItem.value === "recruiting" ? (openBlock(), createBlock("div", {
                        key: 3,
                        class: "flex-1 pl-4"
                      }, [
                        createVNode("div", null, [
                          createVNode("ul", { class: "space-y-2" }, [
                            createVNode("li", { class: "bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" }, [
                              createVNode("p", null, [
                                createTextVNode("I'm looking for "),
                                createVNode("span", { class: "badge" }, "job title"),
                                createTextVNode(" with "),
                                createVNode("span", { class: "badge" }, "number"),
                                createTextVNode(" years experience")
                              ])
                            ]),
                            createVNode("li", { class: "bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" }, [
                              createVNode("p", null, [
                                createTextVNode("I'm looking for people in "),
                                createVNode("span", { class: "badge" }, "type of industry"),
                                createTextVNode(" with "),
                                createVNode("span", { class: "badge" }, "skills")
                              ])
                            ]),
                            createVNode("li", { class: "bg-gray-100 dark:bg-gray-100/[0.1] px-4 py-3.5 rounded-md shadow-sm text-gray-700 dark:text-gray-200 font-semibold text-sm" }, [
                              createVNode("p", null, [
                                createTextVNode("I'm looking for "),
                                createVNode("span", { class: "badge" }, "management level")
                              ])
                            ])
                          ])
                        ])
                      ])) : createCommentVNode("", true)
                    ])
                  ])
                ])
              ])
            ];
          }
        }),
        _: 1
      }, _parent));
      _push(`<!--]-->`);
    };
  }
};
const _sfc_setup = _sfc_main.setup;
_sfc_main.setup = (props, ctx) => {
  const ssrContext = useSSRContext();
  (ssrContext.modules || (ssrContext.modules = /* @__PURE__ */ new Set())).add("resources/js/Pages/Base/Welcome.vue");
  return _sfc_setup ? _sfc_setup(props, ctx) : void 0;
};
const Welcome = /* @__PURE__ */ _export_sfc(_sfc_main, [["__scopeId", "data-v-0985e67f"]]);
export {
  Welcome as default
};
