<?php

namespace Database\Factories;

use App\Models\DataFactory;
use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends Factory<DataFactory>
 */
class DataFactoryFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'cell_number'      => $this->faker->phoneNumber,
            'business_name'    => $this->faker->company(),
            'first_name'       => $this->faker->firstName,
            'last_name'        => $this->faker->lastName,
            'email'            => $this->faker->email(),
            'website'          => $this->faker->url(),
            'city'             => $this->faker->city(),
            'state'            => $this->faker->city(),
            'business_address' => $this->faker->address(),
            'pin_code'         => $this->faker->currencyCode(),
        ];
    }
}
