<?php

namespace Database\Factories;

use Illuminate\Database\Eloquent\Factories\Factory;

/**
 * @extends \Illuminate\Database\Eloquent\Factories\Factory<\App\Models\Plan>
 */
class PlanFactory extends Factory
{
    /**
     * Define the model's default state.
     *
     * @return array<string, mixed>
     */
    public function definition(): array
    {
        return [
            'name'               => fake()->words(2, true),
            'price'              => fake()->randomFloat(2, 99, 999),
            'currency'           => 'USD',
            'billing_cycle_days' => fake()->randomElement([30, 90, 365]),
            'is_recommended'     => false,
            'billing_cycle_type' => fake()->randomElement(['annually', 'monthly']),
            'product_line'       => fake()->randomElement(['basic', 'pro', 'enterprise']),
            'is_active'          => true,
        ];
    }

    public function trial(): static
    {
        return $this->state(fn(array $attributes) => [
            'price' => 0,
            'name'  => 'Trial Plan',
        ]);
    }
}
