<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration {
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('plans', function (Blueprint $table) {
            $table->id();
            $table->string('name');
            $table->decimal("price", 8, 2);
            $table->string('currency');
            $table->integer('record_limit');
            $table->boolean('is_recommended')->default(false);
            $table->integer('billing_cycle_days');
            $table->enum('billing_cycle_type', array_column(\App\Enums\PlanBillingType::cases(), 'value'))->default(\App\Enums\PlanBillingType::MONTHLY->value);
            $table->enum("product_line", array_column(\App\Enums\PlanProductType::cases(), 'value'))->default(\App\Enums\PlanProductType::EMAIL_ONLY->value);
            $table->boolean('is_active');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('plans');
    }
};
