<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Route;

Route::get('/user', function (Request $request) {
    return $request->user();
})->middleware('auth:sanctum');


Route::get('/import-progress/{batchId}', function (string $batchId) {
    $batch = DB::table('job_batches')->where('id', $batchId)->first();

    return response()->json([
        'progress' => $batch ? ceil($batch->processed_jobs / $batch->total_jobs * 100) : 0,
        'status'   => $batch?->cancelled_at ? 'cancelled' : ($batch?->finished_at ? 'completed' : 'processing')
    ]);
});


