<?php


use App\Http\Controllers\PaymentController;
use App\Http\Controllers\SiteController;
use Illuminate\Support\Facades\Route;

Route::middleware(['auth:sanctum', config('jetstream.auth_session'), 'verified'])->group(function () {
    Route::get("/", [SiteController::class, 'index'])->name("index");
    Route::get("/dashboard", [SiteController::class, 'dashboard'])->name("dashboard");


    Route::prefix("/profile")->name('profile.')->group(function () {
        Route::get("/", [\App\Http\Controllers\ProfileController::class, 'index'])->name('index');
    });
    Route::get('/search/suggest', [SiteController::class, 'suggest']);
    Route::prefix("/discover")->name("discover.")->group(function () {
        Route::get('/', [SiteController::class, 'discover'])->name('index');
    });
});

Route::prefix('/checkout')->name('checkout.')->middleware(['auth:sanctum', config('jetstream.auth_session'), 'verified'])->group(function () {
    Route::get("/", [PaymentController::class, 'checkoutPage'])->name('index');
    Route::get("/success", [PaymentController::class, 'paymentSuccess'])->name('success');
    Route::get("/cancel", [PaymentController::class, 'paymentCancel'])->name('cancel');
});

/*Route::get('/checkout', function (Request $request) {
    $plan = \App\Models\Plan::whereId($request->planId)->first();
    $quantity = $request->quantity;
    $user = Auth::user();

    // Store session ID in database
    $user->subscriptions()->create([
        'plan_id'           => $plan->id,
        'session_id'        => $session->id,
        'remaining_records' => $plan->record_limit,
        'expires_at'        => now()->addMonth(),
        'type'              => 'sepa_debit',
        'stripe_id'         => \Illuminate\Support\Str::uuid()->serialize(),
        'stripe_status'     => StripeStatusType::PAYMENT_INTENT->value,
        'stripe_price'      => $plan->price * (int)$quantity,
        'quantity'          => $quantity,
    ]);

    return \Inertia\Inertia::location($session->url);
})->name('checkout');*/


Route::middleware(['auth:sanctum', config('jetstream.auth_session'), 'verified'])->group(function () {
/*    Route::get('/checkout/success', function (Request $request) {
        $sessionId = $request->get("session_id");
        if (!$sessionId) {
            abort(404);
        }
        Stripe::setApiKey(config('services.stripe.secret'));
        $session = \Stripe\Checkout\Session::retrieve($sessionId);
        $paymentIntent = \Stripe\PaymentIntent::retrieve($session->payment_intent, [
            'id'     => $session->payment_intent,
            'expand' => ['charges.data.payment_method_details.card'],
        ]);
        $charge = $paymentIntent->charge->data[0] ?? null;
        $user = Auth::user();

    })->name('checkout-success');*/
});


Route::middleware(['auth:sanctum', config('jetstream.auth_session'), 'verified'])->prefix('/admin')->name('admin.')->group(function () {
    Route::get('/dashboard', [\App\Http\Controllers\AppController::class, 'index'])->name('dashboard');

    Route::prefix("/users")->name('user.')->group(function () {
        Route::get('/', [\App\Http\Controllers\UserController::class, 'index'])->name('list');
    });

    Route::prefix("/plans")->name('plan.')->group(function () {
        Route::get('/', [\App\Http\Controllers\PlanController::class, 'index'])->name('list');
        Route::get('/edit/{plan}', [\App\Http\Controllers\PlanController::class, 'edit'])->name('edit');
    });

    Route::prefix("/subscriptions")->name('subscription.')->group(function () {
        Route::get('/', [\App\Http\Controllers\Admin\SubscriptionController::class, 'index'])->name('list');
        Route::get('/edit/{subscription}', [\App\Http\Controllers\Admin\SubscriptionController::class, 'edit'])->name('edit');
    });


    Route::prefix("/data-factory")->name('data.')->group(function () {
        Route::get("/", [\App\Http\Controllers\Admin\DataFactoryController::class, 'index'])->name('list');
        Route::post('/import', [\App\Http\Controllers\Admin\DataFactoryController::class, 'processImport'])->name('import.process');
        Route::post('/upload', [\App\Http\Controllers\Admin\DataFactoryController::class, 'store'])->name('store');
        Route::post('/startDispatch', [\App\Http\Controllers\Admin\DataFactoryController::class, 'startDispatch'])->name('start');
    });


});
Route::middleware(['auth:sanctum'])->group(function () {
    Route::patch('/subscriptions/{subscription}/migrate', \App\Http\Controllers\SubscriptionMigrationController::class)->name('subscriptions.migrate');
});
